using System;
using System.Collections.Generic;
using System.Text;

namespace Nuvolar.Module.BusinessObjects
{
    public partial class CostPlannerRows
    {
        protected override void OnSaving()
        {
            base.OnSaving();
        }
        protected override void OnChanged(string propertyName, object oldValue, object newValue)
        {
            base.OnChanged(propertyName, oldValue, newValue);
            if (propertyName == "QTT"||propertyName== "PriceInHUF" || propertyName== "PriceOutHUF")
            {
                this.AmountInHUF = this.QTT * this.PriceInHUF;
                this.AmountOutHUF = this.QTT * this.PriceOutHUF;
            }
        }
    }
}
